## cloud-init 21.2-3-g899bfaa9

=== debian/changelog ===
cloud-init (21.2-3-g899bfaa9-0ubuntu2~20.10.1) groovy; urgency=medium

  * d/cloud-init.templates: Add Vultr datasource support
  * drop the following cherry-picks now included:
    + cpick-83f6bbfb-Fix-unpickle-for-source-paths-missing-run_dir-863
    + cpick-d132356c-fix-error-on-upgrade-caused-by-new-vendordata2
  * New upstream snapshot. (LP: #1927491)
    - Update test characters in substitution unit test (#893)
    - cc_disk_setup.py: remove UDEVADM_CMD definition as not used (#886)
      [dermotbradley]
    - Add AlmaLinux OS support (#872) [Andrew Lukoshko]
    - Release 21.2 (#890)
    - Add \r\n check for SSH keys in Azure (#889)
    - Revert "Add support to resize rootfs if using LVM (#721)" (#887)
    - Add Vultaire as contributor (#881) [Paul Goins]
    - Azure: adding support for consuming userdata from IMDS (#884) [Anh Vo]
    - test_upgrade: modify test_upgrade_package to run for more sources (#883)
    - Fix chef module run failure when chef_license is set (#868) [Ben Hughes]
    - Azure: Retry net metadata during nic attach for non-timeout errs (#878)
      [aswinrajamannar]
    - Azure: Retrieve username and hostname from IMDS (#865) [Thomas Stringer]
    - Azure: eject the provisioning iso before reporting ready (#861) [Anh Vo]
    - Use `partprobe` to re-read partition table if available (#856)
      [Nicolas Bock]
    - fix error on upgrade caused by new vendordata2 attributes (#869)
    - add prefer_fqdn_over_hostname config option (#859) [hamalq]
    - Emit dots on travis to avoid timeout (#867)
    - doc: Replace remaining references to user-scripts as a config module
      (#866) [Ryan Harper]
    - azure: Removing ability to invoke walinuxagent (#799) [Anh Vo]
    - Add Vultr support (#827) [David Dymko]
    - Fix unpickle for source paths missing run_dir (#863) [lucasmoura]
    - sysconfig: use BONDING_MODULE_OPTS on SUSE (#831) [Jens Sandmann]
    - bringup_static_routes: fix gateway check (#850) [Petr Fedchenkov]
    - add hamalq user (#860) [hamalq]
    - Add support to resize rootfs if using LVM (#721) [Eduardo Otubo]
    - Fix mis-detecting network configuration in initramfs cmdline (#844)
    - tools/write-ssh-key-fingerprints: do not display empty header/footer
      (#817) [dermotbradley]
    - Azure helper: Ensure Azure http handler sleeps between retries (#842)
      [Johnson Shi]
    - Fix chef apt source example (#826) [timothegenzmer]

 -- James Falcon <james.falcon@canonical.com>  Tue, 11 May 2021 12:07:28 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu1~20.10.2) groovy; urgency=medium

  * cherry-pick 83f6bbfb: Fix unpickle for source paths missing run_dir
    (#863) (LP: #1899299)
  * cherry-pick d132356c: fix error on upgrade caused by new vendordata2
    attributes (LP: #1922739)

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 Apr 2021 13:58:19 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu1~20.10.1) groovy; urgency=medium
  * d/cloud-init.postinst: Change output log permissions on upgrade
    (LP: #1918303)
  * d/cloud-init.manpages: include upstream manpages in package (LP: #1908548)
  * drop the following cherry-picks now included:
    + cpick-4f62ae8d-Fix-regression-with-handling-of-IMDS-ssh-keys-760
  * New upstream snapshot. (LP: #1920272)
    - .travis.yml: generate an SSH key before running tests (#848)
    - write passwords only to serial console, lock down cloud-init-output.log
      (#847)
    - Fix apt default integration test (#845)
    - integration_tests: bump pycloudlib dependency (#846)
    - commit f35181fa970453ba6c7c14575b12185533391b97 [eb3095]
    - archlinux: Fix broken locale logic (#841) [Kristian Klausen]
    - Integration test for #783 (#832)
    - integration_tests: mount more paths IN_PLACE (#838)
    - Fix requiring device-number on EC2 derivatives (#836)
    - Remove the vi comment from the part-handler example (#835)
    - net: exclude OVS internal interfaces in get_interfaces (#829)
    - tox.ini: pass OS_* environment variables to integration tests (#830)
    - integration_tests: add OpenStack as a platform (#804)
    - Add flexibility to IMDS api-version (#793) [Thomas Stringer]
    - Fix the TestApt tests using apt-key on Xenial and Hirsute (#823)
      [Paride Legovini]
    - doc: remove duplicate "it" from nocloud.rst (#825) [V.I. Wood]
    - archlinux: Use hostnamectl to set the transient hostname (#797)
      [Kristian Klausen]
    - cc_keys_to_console.py: Add documentation for recently added config key
      (#824) [dermotbradley]
    - Update cc_set_hostname documentation (#818) [Toshi Aoyama]
    - Release 21.1 (#820)
    - Azure: Support for VMs without ephemeral resource disks. (#800)
      [Johnson Shi]
    - cc_keys_to_console: add option to disable key emission (#811)
      [Michael Hudson-Doyle]
    - integration_tests: introduce lxd_use_exec mark (#802)
    - azure: case-insensitive UUID to avoid new IID during kernel upgrade
      (#798)
    - stale.yml: don't ask submitters to reopen PRs (#816)
    - integration_tests: fix use of SSH agent within tox (#815)
    - integration_tests: add UPGRADE CloudInitSource (#812)
    - integration_tests: use unique MAC addresses for tests (#813)
    - Update .gitignore (#814)
    - Port apt cloud_tests to integration tests (#808)
    - integration_tests: fix test_gh626 on LXD VMs (#809)
    - Fix attempting to decode binary data in test_seed_random_data test (#806)
    - Remove wait argument from tests with session_cloud calls (#805)
    - Datasource for UpCloud (#743) [Antti Myyrä]
    - test_gh668: fix failure on LXD VMs (#801)
    - openstack: read the dynamic metadata group vendor_data2.json (#777)
      [Andrew Bogott]
    - includedir in suoders can be prefixed by "arroba" (#783)
      [Jordi Massaguer Pla]
    - Merge upstream/20.4.1 into master
    - [VMware] change default max wait time to 15s (#774) [xiaofengw-vmware]
    - Revert integration test associated with reverted #586 (#784)

