=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: https://cloud-init.io/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 9.20160709),
                dh-python,
                iproute2,
                pep8,
@@ -15,6 +15,7 @@
                python3-jsonpatch,
                python3-jsonschema,
                python3-mock,
+               python3-netifaces,
                python3-oauthlib,
                python3-pytest,
                python3-requests,
@@ -24,7 +25,7 @@
 XS-Python-Version: all
 Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
 Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
-Standards-Version: 4.5.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 
 Package: cloud-init
@@ -35,6 +36,7 @@
          netplan.io,
          procps,
          python3,
+         python3-netifaces,
          python3-requests,
          python3-serial,
          ${misc:Depends},
