## cloud-init 22.1-14

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,28 @@
 	@find . -type f -name "*.pyc" -delete
 	@find . -type d -name __pycache__ -delete
 
-clean: clean_pyc
-	rm -rf doc/rtd_html .tox .coverage
+clean_pytest:
+	rm -rf .cache htmlcov
+
+clean_packaging:
+	rm -rf srpm cloud_init.egg-info/ \
+		cloud-init-*.tar.gz \
+		cloud-init-*.tar.gz.asc \
+		cloud-init.dsc \
+		cloud-init_*.build \
+		cloud-init_*.buildinfo \
+		cloud-init_*.changes \
+		cloud-init_*.deb \
+		cloud-init_*.dsc \
+		cloud-init_*.orig.tar.gz \
+		cloud-init_*.tar.xz \
+		cloud-init_*.upload
+
+clean_release:
+	rm -rf new-upstream-changes.txt commit.msg
+
+clean: clean_pyc clean_pytest clean_packaging clean_release
+	rm -rf doc/rtd_html .tox .coverage tags
 
 yaml:
 	@$(PYTHON) $(CWD)/tools/validate-yaml.py $(YAML_FILES)
@@ -83,6 +103,44 @@
 doc:
 	tox -e doc
 
+# Spell check && filter false positives
+_CHECK_SPELLING := find doc -type f -exec spellintian {} + | \
+       grep -v -e 'doc/rtd/topics/cli.rst: modules modules' \
+               -e 'doc/examples/cloud-config-mcollective.txt: WARNING WARNING' \
+               -e 'doc/examples/cloud-config-power-state.txt: Bye Bye' \
+               -e 'doc/examples/cloud-config.txt: Bye Bye'
+
+
+# For CI we require a failing return code when spellintian finds spelling errors
+check_spelling:
+	@! $(_CHECK_SPELLING)
+
+# Manipulate the output of spellintian into a valid "sed" command which is run
+# to fix the error
+#
+# Example spellintian output:
+#
+# doc/examples/kernel-cmdline.txt: everthing -> everything
+#
+# The "fix_spelling" target manipulates the above output into the following command
+# and runs that command.
+#
+# sed -i "s/everthing/everything/g" doc/examples/kernel-cmdline.txt
+#
+# awk notes:
+#
+# -F ': | -> ' means use the strings ": " or " -> " as field delimeters
+# \046 is octal for double quote
+# $$2 will contain the second field, ($ must be escaped because this is in a Makefile)
+#
+# Limitation: duplicate words with newline between them are not automatically fixed
+fix_spelling:
+	@$(_CHECK_SPELLING) | \
+		sed 's/ (duplicate word)//g' | \
+		awk -F ': | -> ' '{printf "sed -i \047s/%s/%s/g\047 %s\n", $$2, $$3, $$1}' | \
+		sh
+
 .PHONY: test flake8 clean rpm srpm deb deb-src yaml
 .PHONY: check_version pip-test-requirements pip-requirements clean_pyc
-.PHONY: unittest style-check doc
+.PHONY: unittest style-check doc fix_spelling
+.PHONY: clean_pytest clean_packaging check_spelling clean_release
