## cloud-init 22.1-14-g2e17a0d6

=== debian/changelog ===
cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.5) jammy; urgency=medium

  * d/p/cpick-be9389c6-Work-around-bug-in-LXD-VM-detection-1325:
    cherry-pick be9389c6: Work around bug in LXD VM detection (#1325)
  * d/p/cpick-30ccd51a-ds-identify-also-discover-LXD-by-presence-from-DMI:
    cherry-pick 30ccd51a: ds-identify: also discover LXD by presence
    from DMI
  * d/p/pick-e3307e4d-ds-identify-detect-LXD-for-VMs-launched-from-host-with:
    cherry-pick e3307e4d: ds-identify: detect LXD for VMs launched from
    host with > 5.10 kernel (LP: #1968085)

 -- James Falcon <james.falcon@canonical.com>  Wed, 06 Apr 2022 16:48:16 -0500

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.4) jammy; urgency=medium

  * d/p/cpick-eee60329-Fix-cloud-init-status-wait-when-no-datasource-found:
    cherry-pick eee60329: Fix cloud-init status --wait when no datasource
    found (#1349)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 23 Mar 2022 20:10:41 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.3) jammy; urgency=medium

  * d/patches: include the missing quilt patch from v. 22.04.2 upload
    - cpick-5e347d25-Revert-Ensure-system_cfg-read-before-ds-net-config-on

 -- James Falcon <james.falcon@canonical.com>  Fri, 11 Mar 2022 15:19:52 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.2) jammy; urgency=medium

  * cherry-pick 156b927e: Revert "Ensure system_cfg read before ds
    net config on Oracle (#1174)" (#1326)

 -- James Falcon <james.falcon@canonical.com>  Fri, 11 Mar 2022 11:55:37 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.1) jammy; urgency=medium

  * debian/apport-launcher.py: Fix string and whitespace formatting
  * New upstream snapshot.
    - check for existing symlink while force creating symlink (#1281)
      [Shreenidhi Shedi]
    - Do not silently ignore integer uid (#1280) (LP: #1875772)
    - tests: create a IPv4/IPv6 VPC in Ec2 integration tests (#1291)
    - Integration test fix ppa  (#1296)
    - tests: on official EC2. cloud-id actually startswith aws not ec2 (#1289)
    - test_ppa_source: accept both http and https URLs (#1292)
      [Paride Legovini]
    - Fix apt test on azure
    - add "lkundrak" as contributor [Lubomir Rintel]
    - Holmanb/integration test fix ppa (#1287)
    - Include missing subcommand in manpage (#1279)
    - Clean up artifacts from pytest, packaging, release with make clean
      (#1277)
    - sources/azure: ensure retries on IMDS request failure (#1271)
      [Chris Patterson]
    - sources/azure: removed unused saveable PPS paths (#1268)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Thu, 24 Feb 2022 16:40:00 -0700

cloud-init (22.1-1-gb3d9acdd-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream snapshot.
    - integration tests: fix Azure failures (#1269)
    - Release 22.1 (#1267) (LP: #1960939)
    - sources/azure: report ready in local phase (#1265) [Chris Patterson]
    - sources/azure: validate IMDS network configuration metadata (#1257)
      [Chris Patterson]
    - docs: Add more details to runcmd docs (#1266)
    - use PEP 589 syntax for TypeDict (#1253)
    - mypy: introduce type checking (#1254) [Chris Patterson]
    - Fix extra ipv6 issues, code reduction and simplification (#1243) [eb3095]
    - tests: when generating crypted password, generate in target env (#1252)
    - sources/azure: address mypy/pyright typing complaints (#1245)
      [Chris Patterson]
    - Docs for x-shellscript* userdata (#1260)
    - test_apt_security: azure platform has specific security URL overrides
      (#1263)

 -- Brett Holman <brett.holman@canonical.com>  Wed, 16 Feb 2022 13:39:11 -0700

cloud-init (21.4-119-gdeb3ae82-0ubuntu1~22.04.1) jammy; urgency=medium

  * d/cloud-init.templates: Move LXD to back of datasource_list
  * New upstream snapshot.
    - tests: lsblk --json output changes mountpoint key to mountpoinst []
      (#1261)
    - mounts: fix mount opts string for ephemeral disk (#1250)
      [Chris Patterson]
    - Shell script handlers by freq (#1166) [Chris Lalos]
    - minor improvements to documentation (#1259) [Mark Esler]
    - cloud-id: publish /run/cloud-init/cloud-id-<cloud-type> files (#1244)
    - add "eslerm" as contributor (#1258) [Mark Esler]
    - sources/azure: refactor ssh key handling (#1248) [Chris Patterson]
    - bump pycloudlib (#1256)
    - sources/hetzner: Use EphemeralDHCPv4 instead of static configuration
      (#1251) [Markus Schade]
    - bump pycloudlib version (#1255) [Brett Holman]
    - Fix IPv6 netmask format for sysconfig (#1215) [Harald] (LP: #1959148)
    - sources/azure: drop debug print (#1249) [Chris Patterson]
    - tests: do not check instance.pull_file().ok() (#1246)
    - sources/azure: consolidate ephemeral DHCP configuration (#1229)
      [Chris Patterson]
    - cc_salt_minion freebsd fix for rc.conf (#1236) [Brett Holman]
    - sources/azure: fix metadata check in _check_if_nic_is_primary() (#1232)
      [Chris Patterson]
    - Add _netdev option to mount Azure ephemeral disk (#1213) [Eduardo Otubo]
    - testing: stop universally overwriting /etc/cloud/cloud.cfg.d (#1237)
    - Integration test changes (#1240)
    - Fix Gentoo Locales (#1205) [Brett Holman]
    - Add "slingamn" as contributor (#1235) [Shivaram Lingamneni]
    - integration: do not LXD bind mount /etc/cloud/cloud.cfg.d (#1234)
    - Integration testing docs and refactor (#1231)
    - vultr: Return metadata immediately when found (#1233) [eb3095]
    - spell check docs with spellintian (#1223) [Brett Holman]
    - docs: include upstream python version info (#1230)
    - Schema a d (#1211)
    - Move LXD to end ds-identify DSLIST (#1228) (LP: #1959118)
    - fix parallel tox execution (#1214) [Brett Holman]
    - sources/azure: refactor _report_ready_if_needed and _poll_imds (#1222)
      [Chris Patterson]
    - Do not support setting up archive.canonical.com as a source (#1219)
      [Steve Langasek] (LP: #1959343)

